GH job to check that postgres/ has not been unintentianally changed, take 2 (#6715)

This commit is contained in:
Aljaž Mur Eržen 2024-01-19 00:36:44 -08:00 committed by GitHub
parent a8e2933dc2
commit 18c7f69445
No known key found for this signature in database
GPG key ID: B5690EEEBB952194

View file

@ -1,7 +1,7 @@
name: Pull Request
name: Pull Request Meta
on:
pull_request_target:
pull_request:
types: [opened, edited, synchronize, labeled, closed]
concurrency:
@ -28,12 +28,14 @@ jobs:
exit 0
fi
git diff --quiet \
if git diff --quiet \
${{ github.event.pull_request.base.sha }} \
${{ github.event.pull_request.head.sha }}
if [ $? != 0 ]; then
${{ github.event.pull_request.head.sha }} -- postgres/
then
echo 'all ok'
else
echo "postgres/ submodule has been changed,"\
"but PR title does not indicate that" 1>&2
echo "(it should start with '$required_prefix')" 1>&2
"but PR title does not indicate that"
echo "(it should start with '$required_prefix')"
exit 1
fi